<?php

	function sanitize_output($buffer) {

	    $search = array(
	        '/\>[^\S ]+/s',     // strip whitespaces after tags, except space
	        '/[^\S ]+\</s',     // strip whitespaces before tags, except space
	        '/(\s)+/s',         // shorten multiple whitespace sequences
	        '/<!--(.|\s)*?-->/' // Remove HTML comments
	    );

	    $replace = array(
	        '>',
	        '<',
	        '\\1',
	        ''
	    );

	    $buffer = preg_replace($search, $replace, $buffer);

	    return $buffer;
	}

	ob_start("sanitize_output");

	//header("Refresh:10");

	$numOfCols = 4;
	$rowCount = 0;
	$bootstrapColWidth = 12 / $numOfCols;

?>

<!DOCTYPE html>

<html lang="pt-br">

	<head>

		<title>Painel de Monitoramento Elemidia</title>
		<meta charset="utf-8">
		<link rel="icon" href="favicon.ico"/>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
		<script src="https://kit.fontawesome.com/0c150fd24c.js"></script>

		<script type="text/javascript">

			function updateDiv()
				{
					<?php
					$feed = "http://brin.elemidia.com.br/seahorse/misc/monitoramento/monitoramento_status_all.php";
					$xml = simplexml_load_file($feed);
					?>
					$( "#update" ).load(window.location.href + " #update" );
					//alert('Reload executado');

				}

			var interval = setInterval(function(){
				updateDiv();
			}, 60000);

		</script>

		<style>

			@import url(https://fonts.googleapis.com/css?family=Roboto:300,400,700);
			* {
				overflow-x:hidden;
			}
			body {
				background-color:#181A1B !important;
				-webkit-background-size:586px 666px;
				-moz-background-size:586px 666px;
				-o-background-size:586px 666px;
				background-size:586px 666px;
				overflow:visible;
				font-family: Roboto,sans-serif;
			}
			h1 {
				font-color:white;
				font-size: 30px;
				color:white;
				text-align: center;
				padding:15px 0px 15px 0px;
				margin:0px;
			}
			h2 {
				font-color:white;
				font-size: 24px;
				color:white;
				text-align: center;
				padding: 5px 0px 5px 0px;
				margin:1px;
			}
			p {
				font-color:white;
				color:white;
				padding:0px;
				font-size: 16px;
				font-weight: 600;
				margin:1px;
				text-align:center;
			}
			i {
				overflow:visible;
			}
			div {
				overflow:visible;
			}

			.col-md-3 {
				padding:0px;
			}

			/*letreiro colorido*/
			
			@-webkit-keyframes pulse_transform {
			  0% {
			    -webkit-transform: rotate(0deg) scale(3);
			            transform: rotate(0deg) scale(3);
			  }
			  100% {
			    -webkit-transform: rotate(360deg) scale(3);
			            transform: rotate(360deg) scale(3);
			  }
			}

			@keyframes pulse_transform {
			  0% {
			    -webkit-transform: rotate(0deg) scale(3);
			            transform: rotate(0deg) scale(3);
			  }
			  100% {
			    -webkit-transform: rotate(360deg) scale(3);
			            transform: rotate(360deg) scale(3);
			  }
			}
			@-webkit-keyframes pulse_hue {
			  0% {
			    -webkit-filter: hue-rotate(0deg) grayscale(0%);
			            filter: hue-rotate(0deg) grayscale(0%);
			  }
			  100% {
			    -webkit-filter: hue-rotate(360deg) grayscale(0%);
			            filter: hue-rotate(360deg) grayscale(0%);
			  }
			}
			@keyframes pulse_hue {
			  0% {
			    -webkit-filter: hue-rotate(0deg) grayscale(0%);
			            filter: hue-rotate(0deg) grayscale(0%);
			  }
			  100% {
			    -webkit-filter: hue-rotate(360deg) grayscale(0%);
			            filter: hue-rotate(360deg) grayscale(0%);
			  }
			}
			.outer {
			  overflow: hidden;
			  width: auto;
			  margin:0px;
			  box-sizing: border-box;
			  padding: 26.66667px;
			  background:#181A1B;
			  position: relative;
			  z-index: 1;
			}
			.outer::before {
			  content: "";
			  width: 1920px;
			  height: 1920px;
			  display: block;
			  top: 0;
			  left: 0;
			  position: absolute;
			  z-index: 0;
			  background-image: linear-gradient(to right, #ff0000 0%, #ffff00 15%, #00ff00 30%, #00ffff 50%, #0000ff 65%, #ff00ff 80%, #ff0000 100%);
			  background-size: 100% 100%;
			  -webkit-animation: pulse_transform 10s linear infinite, pulse_hue 10s linear infinite;
			          animation: pulse_transform 10s linear infinite, pulse_hue 10s linear infinite;
			}
			.outer::after {
			  content: "";
			  width: 100%;
			  height: 100%;
			  top: 0;
			  left: 0;
			  position: absolute;
			  box-shadow: inset 0 0 40px 32px #181A1B;
			}
			.outer .inner {
			  padding: 10px 20px;
			  box-sizing: border-box;
			  position: relative;
			  z-index: 2;
			  background-color:transparent;
			  background-clip: padding;
			  width: 100%;
			  height: 100%;
			}

		</style>

	</head>

	<body>

		<div class="container-fluid" style="background-color:transparent;padding:0px;">
			<div class="row">
				<div class="col-md-12">
					<div class="outer">
					  <div class="inner">
					    <h1>Painel de Monitoramento Elemidia</h1>
					    <p>v2.2</p>
					  </div>
					</div>		
				</div>
			</div>

			<div id="update">

			  	<div class="row">

					<?php

					//Recebe o feed
					$feed = "http://brin.elemidia.com.br/seahorse/misc/monitoramento/monitoramento_status_all.php";
					$xml = simplexml_load_file($feed);

					$online = [];
					$rponline = [];

					//Seleciona os pontos de sorocaba e votorantim

					foreach($xml->xpath("//predio[@estado='SO' or @estado='VT']") as $item) {

						$ponto = strtoupper(strval($item["nome"]));

						if (strval($item["status"]) != "online") {

							echo '<div class="col-md-12 text-center"><span><h2 style="background-color:rgba(231, 76, 60,0.7);"><i class="fas fa-exclamation-circle"></i>&nbsp;&nbsp;'.$ponto.'&nbsp;&nbsp;<i class="fas fa-exclamation-circle"></i></h2></span></div>';

						} else {

							json_decode($item, true);
							$temp = strtoupper(strval($item["nome"]));
							array_push($online, $temp);			
							$temp = '';
						}

					}

					//Ordem alfabética
					sort($online);

					//Conta os itens, divide por 4 e define a altura máxima de cada coluna
					$altura = count($online);
					$altura /= 4;
					$altura = ceil($altura);
					$limiter = 0;

					echo '<div class="col-md-'.$bootstrapColWidth.' text-center"';

					foreach($online as $item) {

						echo '<span><p style="background-color:rgba(46, 204, 113,1);">'.strval($item).'</p></span>';

						if(++$limiter >= $altura) {

							echo '</div><div class="col-md-'.$bootstrapColWidth.' text-center">';
							$limiter = 0;

						}

					}

					echo '</div>';

					echo '<div class="col-md-12"><h1>RP</h1></div>';

					//Seleciona os pontos de Ribeirão Preto

					foreach($xml->xpath("//predio[@estado='RP']") as $item) { 

						$ponto = strtoupper(strval($item["nome"]));

						if (strval($item["status"]) != "online") {

							echo '<div class="col-md-12 text-center"><span><h2 style="background-color:rgba(231, 76, 60,0.7);"><i class="fas fa-exclamation-circle"></i>&nbsp;&nbsp;'.$ponto.'&nbsp;&nbsp;<i class="fas fa-exclamation-circle"></i></h2></span></div>';

						} else {

							json_decode($item, true);
							$temp = strtoupper(strval($item["nome"]));
							array_push($rponline, $temp);			
							$temp = '';

						}

					}

					//Ordem alfabética
					sort($rponline);

					//Conta os itens, divide por 4 e define a altura máxima de cada coluna
					$altura = count($rponline);
					$altura /= 4;
					$altura = ceil($altura);
					$limiter = 0;

					echo '<div class="col-md-'.$bootstrapColWidth.' text-center">';	

					foreach($rponline as $item) {

						echo '<span><p style="background-color:rgba(46, 204, 113,1);">'.strval($item).'</p></span>';

						if(++$limiter >= $altura) {

							echo '</div><div class="col-md-'.$bootstrapColWidth.' text-center">';
							$limiter = 0;

						}

					}

					echo '</div>';

					//Cria uma nova linha quando o número de colunas excede o limite
					$rowCount++;
					if($rowCount % $numOfCols == 0) echo '</div><div class="row">';

					?>

			  	</div>

			</div>

		</div>

	</body>

</html>